Jobs API
Actions in the jobs namespace of the Nexigon Hub API.
jobs_Query
POST /api/v1/actions/invoke/jobs_Query Query the jobs of the instance.
Request QueryJobsAction
No fields.
Response QueryJobsOutput
Fields (JSON object)
jobsrequiredList of jobs.
array<Job>
Items
Job
Fields (JSON object)
jobId(fromjob_id) requiredJob ID.
JobId
stringstatusrequiredStatus of the job.
JobStatus
Cases externally
PendingJob is pending.
Value: "Pending"CompletedJob has been completed successfully.
Value: "Completed"FailedJob has failed.
Value: "Failed"ExpiredJob has expired and is no longer valid.
Value: "Expired"CancelledJob has been cancelled.
Value: "Cancelled"
jobrequiredType of the job.
string
queuedrequiredIndicates whether the job is currently queued for execution.
boolean
attemptsrequiredAttempts of executing the job.
integer
retryLimit(fromretry_limit) optionalMaximum number of retries for the job.
integer
retryDelay(fromretry_delay) requiredDelay in seconds for retrying the job.
integer
timeoutrequiredTimeout for an individual execution of the job (defaults to 30 minutes).
integer
createdAt(fromcreated_at) requiredTimestamp indicating when the job was created.
Timestamp
stringfinishedAt(fromfinished_at) optionalTimestamp indicating when the job has finished (if applicable).
Timestamp
string